#include <iostream>
#include <iomanip>

using namespace std;

int main()
{
    long long int n;

    cin >> n;

    double zarada[n];
    double porez[n];


    for (int i=0; i<n; ++i)
    {
        cin >> zarada[i] >> porez[i];
    }


    double s = 0;

    for (int i=0; i<n; ++i)
    {
        double s1 = 0;

        for (int j=0; j<n; ++j)
        {
            if (porez[j] >= porez[i])
                s1 = s1 + zarada[j] * porez[i]/100;
        }

        if (s1 > s)
            s = s1;
    }

    cout << endl << setprecision(15) << s << endl;

    return 0;
}